Skip to main content
GET
Inflow and outflow totals for the same filters

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Hevn-Account
string | null

The client account to act for, as a cl_… id. Omit it to act as yourself.

Example:

"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"

Query Parameters

type
string | null

Comma-separated transaction types

status
string | null

Comma-separated statuses

tag
string | null

Comma-separated tags

contactId
string | null
bankId
string | null
incomeOnly
boolean | null
q
string | null
Minimum string length: 2
from
string<date-time> | null
to
string<date-time> | null

Response

Successful Response

inflowUsd
string
required

Settled incoming value converted to USD for the selected period.

Example:

"500.00"

inflowCount
integer
required

Number of settled incoming transactions in the selected period.

outflowUsd
string
required

Settled outgoing value converted to USD for the selected period.

Example:

"500.00"

outflowCount
integer
required

Number of settled outgoing transactions in the selected period.

pendingInflowUsd
string
required

Pending incoming value converted to USD.

Example:

"500.00"

pendingInflowCount
integer
required

Number of pending incoming transactions.

pendingOutflowUsd
string
required

Pending outgoing value converted to USD.

Example:

"500.00"

pendingOutflowCount
integer
required

Number of pending outgoing transactions.